import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';

@Component({
  selector: 'app-structure-web-and-social-network',
  templateUrl: './structure-web-and-social-network.component.html',
  styleUrls: ['./structure-web-and-social-network.component.scss'],
})
export class StructureWebAndSocialNetworkComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() showSocialNetwork: boolean;
  @Input() showWebsite: boolean;
  @Input() isEditMode: boolean;
  @Output() toggleWebsite = new EventEmitter<any>();
  @Output() toggleSocials = new EventEmitter<any>();
  @Output() validateForm = new EventEmitter<any>();

  ngOnInit(): void {
    if (this.isEditMode) {
      this.showSocialNetwork = true;
      this.showWebsite = true;
    }
    this.validateForm.emit();
  }

  public toggleSocialNetwork() {
    this.toggleSocials.emit();
  }

  public toggleWebSite() {
    this.toggleWebsite.emit();
  }

  public setValidationsForm(): void {
    this.validateForm.emit();
  }
  public goBack(): void {
    history.back();
  }
}
